using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore;

namespace nrdkwebsite;

public sealed class DatabaseHandler : DbContext
{
    public DbSet<User> users { get; set; } = null!;
    public DatabaseHandler(DbContextOptions<DatabaseHandler> options) : base(options)
    {
        
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<User>(entity =>
        {
            entity.Property(u => u.nickname)
                .HasColumnName("nickname")
                .HasColumnType("varchar(100)")
                .ValueGeneratedOnAdd();
            entity.Property(u => u.id)
                .HasColumnName("id")
                .HasColumnType("int") 
                .ValueGeneratedOnAdd();
            entity.Property(u => u.mast)
                .HasColumnName("mast")
                .HasColumnType("varchar(20)")
                .ValueGeneratedOnAdd();
        });
    }
}